VirtualBox Main API

Public Attributes | List of all members
IPerformanceMetric Interface Reference

The IPerformanceMetric interface represents parameters of the given performance metric. More...

Inheritance diagram for IPerformanceMetric:

## Public Attributes
readonly attribute wstring | metricName
| Name of the metric.
readonly attribute $unknown | object
| Object this metric belongs to.
readonly attribute wstring | description
| Textual description of the metric.
readonly attribute unsigned long | period
| Time interval between samples, measured in seconds.
readonly attribute unsigned long | count
| Number of recent samples retained by the performance collector for this metric.
readonly attribute wstring | unit
| Unit of measurement.
readonly attribute long | minimumValue
| Minimum possible value of this metric.
readonly attribute long | maximumValue
| Maximum possible value of this metric.

## Detailed Description

The IPerformanceMetric interface represents parameters of the given performance metric.

Interface ID:
  `{81314D14-FD1C-411A-95C5-E9BB1414E632}`

## Member Data Documentation

## ◆ metricName

readonly attribute wstring IPerformanceMetric::metricName

Name of the metric.

## ◆ object

readonly attribute $unknown IPerformanceMetric::object

Object this metric belongs to.

## ◆ description

readonly attribute wstring IPerformanceMetric::description

Textual description of the metric.

## ◆ period

readonly attribute unsigned long IPerformanceMetric::period

Time interval between samples, measured in seconds.

## ◆ count

readonly attribute unsigned long IPerformanceMetric::count

Number of recent samples retained by the performance collector for this metric.

When the collected sample count exceeds this number, older samples are discarded.

## ◆ unit

readonly attribute wstring IPerformanceMetric::unit

Unit of measurement.

## ◆ minimumValue

readonly attribute long IPerformanceMetric::minimumValue

Minimum possible value of this metric.

## ◆ maximumValue

readonly attribute long IPerformanceMetric::maximumValue

Maximum possible value of this metric.